Subject: Re: kernel oops when system under network stress

From: Alex Samad <[email-masked]>
Date: Thu, 16 Oct 2008 16:48:33 +1100

On Thu, Oct 16, 2008 at 01:41:59PM +0800, Herbert Xu wrote:
> On Wed, Oct 15, 2008 at 09:55:36PM -0700, David Miller wrote:
> >
> > [ Herbert, this looks like another case like that ebtables+tg3 one,
> >   where the checksum field is not set properly. ]
> 
> Looking at the trace, I don't think ebtables plays any part since
I have more of these about 127K file

> it appears only on the receive path while the checksum problem is
> on the transmit path.
> 
> I'm tempted to blame tg3's management of netdev feature setting

I am using forcedeth not tg3 

> since it's far from obvious whether it enables TSOv6 only if IPv6
> checksumming is also enabled.
> 
> Unfortunately I'm still stuck in some bog at the moment, but
> hopefully I can resume looking at this issue in a couple of days.
> 
> Thanks,

Hi herbert, seems like I have more kernel problems for you :)

> -- 
> Visit Openswan at http://www.openswan.org/
> Email: Herbert Xu ~{PmV>HI~} <[email-masked]>
> Home Page: http://gondor.apana.org.au/~herbert/
> PGP Key: http://gondor.apana.org.au/~herbert/pubkey.txt
> --
> To unsubscribe from this list: send the line "unsubscribe linux-net" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html
> 

-- 
//GO.SYSIN DD *, DOODAH, DOODAH